#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import os.path

# ---======---
# Consts
# ---======---
class Consts :

    # === Constructor ===
    def __init__(self) :
        # Initialize constants
        self.cfgDir     = os.path.expanduser('~') + '/.nota/'
        self.tasksFile  = self.cfgDir + 'tasks.xml'
        self.prefsFile  = self.cfgDir + 'prefs.xml'
        self.resDir     = '../res/'
        self.pixDir     = '../pix/'
        self.appVersion = '0.01'
        self.appName    = 'Nota'
        self.appURL     = 'http://nota.silent-blade.org'

        # Create the configuration directory if needed
        if not os.path.exists(self.cfgDir) :
            os.mkdir(self.cfgDir)


# === This object is a singleton
consts = None
def getInstance() :
    global consts
    if consts == None :
        consts = Consts()
    return consts
