#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Default is 'Normal' priority
list    = ['Low', 'Normal', 'High']
default = 1

# The priority of a task
class Priority :

    # === Constructor ===
    def __init__(self, level=default) :
        self.level = level

    # === String representation ===
    def __repr__(self) :
        return list[self.level]

    # === Setter ===
    def __setattr__(self, attr, value) :
        if attr == 'level' :
            if value >=0 and value < len(list) :
                self.__dict__[attr] = value
            else :
                raise AttributeError, 'Invalid priority (' + str(value) + ')'
        else :
            AttributeError, attr + ' is not a valid (or a writeable) attribute'
