#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# ---======---
# Task
# ---======---
class Task :

    # === Constructor ===
    def __init__(self, id, name, priority, message) :
        self.id = id
        self.setProperties(name, priority, message)

    # === Change the properties of this task ===
    def setProperties(self, name, priority, message) :
        self.name     = name
        self.message  = message
        self.priority = priority

    # === Test if this Task has an associated message === 
    def hasMessage(self) :
        return self.message != ''

# ---======---
# Comparison function
# ---======---
def compare(left, right) :
    if right.priority.level != left.priority.level :
        return right.priority.level - left.priority.level
    return cmp(left.name.lower(), right.name.lower())

